---
sidebar_label: PressOptions
---

# PressOptions interface

**Signature:**

```typescript
export interface PressOptions
```

## Properties

| Property                                    | Modifiers | Type   | Description                                                                                                        |
| ------------------------------------------- | --------- | ------ | ------------------------------------------------------------------------------------------------------------------ |
| [delay?](./puppeteer.pressoptions.delay.md) |           | number | <i>(Optional)</i> Time to wait between <code>keydown</code> and <code>keyup</code> in milliseconds. Defaults to 0. |
| [text?](./puppeteer.pressoptions.text.md)   |           | string | <i>(Optional)</i> If specified, generates an input event with this text.                                           |
